Package javax.websocket

## Class DecodeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.websocket.DecodeException

All Implemented Interfaces:
  `java.io.Serializable`

    public class DecodeException
    extends java.lang.Exception

See Also:
  Serialized Form

### Constructor Summary

Constructors
`DecodeException​(java.lang.String encodedString, java.lang.String message)`
`DecodeException​(java.lang.String encodedString, java.lang.String message, java.lang.Throwable cause)`
`DecodeException​(java.nio.ByteBuffer bb, java.lang.String message)`
`DecodeException​(java.nio.ByteBuffer bb, java.lang.String message, java.lang.Throwable cause)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.nio.ByteBuffer` `getBytes()`
`java.lang.String` `getText()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Constructor Detail

#### DecodeException

    public DecodeException​(java.nio.ByteBuffer bb,
                           java.lang.String message,
                           java.lang.Throwable cause)

#### DecodeException

    public DecodeException​(java.lang.String encodedString,
                           java.lang.String message,
                           java.lang.Throwable cause)

#### DecodeException

    public DecodeException​(java.nio.ByteBuffer bb,
                           java.lang.String message)

#### DecodeException

    public DecodeException​(java.lang.String encodedString,
                           java.lang.String message)

### Method Detail

#### getBytes

    public java.nio.ByteBuffer getBytes()

#### getText

    public java.lang.String getText()